mxDefaultTextShape (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.shape
Class mxDefaultTextShape

    java.lang.Object
      com.mxgraph.shape.mxDefaultTextShape

All Implemented Interfaces:
  mxITextShape

    public class mxDefaultTextShape

extends Object
implements mxITextShape

Constructor Summary
`mxDefaultTextShape()`

Method Summary
`void` | `paintShape(mxGraphics2DCanvas canvas, String text, mxCellState state, Map<String,Object> style)`
`protected void` | `postProcessLine(String text, String line, FontMetrics fm, mxGraphics2DCanvas canvas, int x, int y)` Hook to add functionality after a line has been drawn

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### mxDefaultTextShape

    public mxDefaultTextShape()

Method Detail

### paintShape

    public void paintShape(mxGraphics2DCanvas canvas,
                           String text,
                           mxCellState state,
                           Map<String,Object> style)

  Specified by:
    `paintShape` in interface `mxITextShape`

### postProcessLine

    protected void postProcessLine(String text,
                                   String line,
                                   FontMetrics fm,
                                   mxGraphics2DCanvas canvas,
                                   int x,
                                   int y)

  Hook to add functionality after a line has been drawn

  Parameters:
    `text` - the entire label text
    `line` - the line at the specified location
    `fm` - the text font metrics
    `canvas` - the canvas object currently being painted to
    `x` - the x co-ord of the baseline of the text line
    `y` - the y co-ord of the baseline of the text line

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.